%define product		Archetypes
%define realVersion 1.3.3-final
%define release 4

%define version %(echo %{realVersion} | sed -e 's/-/./g')
%define zope_minver	2.7

%define zope_home	%{_prefix}/lib/zope
%define software_home	%{zope_home}/lib/python

Summary:	Developers framework for deploying content types with Zope and Plone
Name:		zope-%{product}
Version:	%{version}
Release:	%mkrel %{release}
License:	GPL
Group:		System/Servers
Source:		http://belnet.dl.sourceforge.net/sourceforge/archetypes/Archetypes-%{realVersion}-Bundle.tar.bz2
URL:		http://plone.org/documentation/archetypes
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
Requires:	zope >= %{zope_minver}
Requires:	zope-CMF
Requires:	python-imaging
Requires:	zope-BTreeFolder2
Requires:	lynx
Requires:	pdftohtml
Requires:	rtf-converter

Provides:	zope-validation == %{version}
Provides:       zope-generator == %{version}
Provides:       zope-PortalTransforms == %{version}
Provides:       zope-MimetypesRegistry == %{version}
Obsoletes:	zope-validation, zope-generator, zope-PortalTransforms, zope-MimetypesRegistry

%description
A developers framework for rapidly developing and deploying rich, full 
featured content types within the context of Zope/CMF and Plone

%prep
%setup -c

%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/


%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%files
%defattr(0644, root, root, 0755)
%{software_home}/Products/*


%changelog
* Sun Aug 21 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.3.final-4mdk
- fix path on x86_64

* Tue Jun 28 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.3.final-3mdk
- requires rtf-converter, lynx and pdftohtml

* Mon Apr 25 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.3.final-2mdk
- fix missing version in provides (not detected by rpmlint ?!)

* Mon Apr 25 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.3.final-1mdk
- use bundle source (and drop validation, generator, ... packages)
- use full version name

* Sun Apr 24 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.3-1mdk
- New release 1.3.3
- use mkrel
- Requires BTreeFolder2

* Fri Jan 28 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.1-2mdk
- requires zope-CMF and python-imaging

* Thu Dec 12 2004 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.1-1mdk
- initial contrib
